package com.zcloud.fire.check.domain.enums;

import lombok.Getter;

/**
 * 记录类型（1-正常检查记录  2-超期未检查记录）
 */
@Getter
public enum ListManagerCheckPeriodEnum {
    /** 每日 */
    DAILY("每日", "fireCheckPeriod0001"),

    /** 每周 */
    WEEKLY("每周", "fireCheckPeriod0002"),

    /** 每旬 */
    TEN_DAYS("每旬", "fireCheckPeriod0003"),

    /** 每月 */
    MONTHLY("每月", "FireCheckPeriod0004"),

    /** 每季 */
    QUARTERLY("每季", "fireCheckPeriod0005"),

    /** 每年 */
    YEARLY("每年", "fireCheckPeriod0006"),

    /** 半年 */
    HALF_YEAR("半年", "fireCheckPeriod0007"),

    /** 半月 */
    HALF_MONTH("半月", "fireCheckPeriod0008"),

    /** 每周完成N次 */
    WEEKLY_N_TIMES("每周完成N次", "fireCheckPeriod0009");
    ;
    private final String value;
    private final String code;

    ListManagerCheckPeriodEnum(String value, String code) {
        this.value = value;
        this.code = code;
    }
    public static ListManagerCheckPeriodEnum getByCode(String code) {
        for (ListManagerCheckPeriodEnum period : values()) {
            if (period.getCode().equals(code)) {
                return period;
            }
        }
        return null;
    }

}
